\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Number Types

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Is_valid< T > Class Template Reference
Utilities

`#include <CGAL/utils_classes.h>`

## Definition

Not all values of a type need to be valid.

The function object class `Is_valid` checks this.

For example, an expression like `NT(0)/NT(0)` can result in an invalid number. Routines may have as a precondition that all values are valid.

Is Model Of:
  `AdaptableFunctor`

## Operations
bool | operator() (const T &x)
| returns if the argument is valid.